Bug 652403 - Review Request: rubygem-boxgrinder-build-rpm-based-os-plugin - Files required to build appliances based on RPMs
Review Request: rubygem-boxgrinder-build-rpm-based-os-plugin - Files required...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 652400
Blocks: 652406
  Show dependency treegraph
 
Reported: 2010-11-11 14:37 EST by Marek Goldmann
Modified: 2011-01-25 09:08 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 13:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2010-11-11 14:37:08 EST
Spec URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.7-1.fc14.src.rpm
Description:

BoxGrinder Build (http://www.jboss.org/boxgrinder) to
Fedora. BoxGrinder is a command line tool for building appliances (virtual
machines) to various platforms (KVM, Xen, VMware, EC2).

This package contains files required to build appliances based on RPMs.
Comment 1 Marek Goldmann 2010-11-23 11:01:29 EST
Below updated spec files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-1.fc15.src.rpm

We need to wait for rubygem-boxgrinder-build (BZ#652400) to be pushed to rawhide to build it.
Comment 3 Mamoru TASAKA 2010-11-26 12:49:42 EST
Some notes:

! Source
---------------------------------------------------------------
a440ee244f272cfa1a2ef680b8beb199  Downloaded/boxgrinder-build-rpm-based-os-plugin-0.0.8.gem
e6d7d2503e9655bb36f73a1ff881cea4  rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-2.fc15.src/boxgrinder-build-rpm-based-os-plugin-0.0.8.gem
---------------------------------------------------------------
  - The source in your srpm does not match the one I could download
    from the URL written as Source0. Would you explain why?

! No longer needed stuff
  - %clean section is no longer needed on Fedora:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* rpmlint issue
---------------------------------------------------------------
rubygem-boxgrinder-build-rpm-based-os-plugin.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-rpm-based-os-plugin-0.0.8/lib/boxgrinder-build-rpm-based-os-plugin/src/motd.init 0664L /bin/sh
---------------------------------------------------------------
  - This warning comes because this script does not have executable permission
    while the script has shebang. While I think this script need not have executable
    permission because this file seems something like a template, however I think
    0644 permission is more proper.
Comment 4 Mamoru TASAKA 2010-11-26 12:50:22 EST
By the way I would appreciate it if you have some time to review
my review request (bug 657591)
Comment 5 Marek Goldmann 2010-11-26 13:03:32 EST
(In reply to comment #3)
> Some notes:
> 
> ! Source
> ---------------------------------------------------------------
> a440ee244f272cfa1a2ef680b8beb199 
> Downloaded/boxgrinder-build-rpm-based-os-plugin-0.0.8.gem
> e6d7d2503e9655bb36f73a1ff881cea4 
> rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-2.fc15.src/boxgrinder-build-rpm-based-os-plugin-0.0.8.gem
> ---------------------------------------------------------------
>   - The source in your srpm does not match the one I could download
>     from the URL written as Source0. Would you explain why?

The src.rpm uses a regenerated gem, but from the same source as pushed to rubygems.org. When checking into git I'm overriding the .gem with the proper version (from rubygems.org). Currently - all my src.rpm have this issue. I'll change the way I build my src.rpm for review for the next submissions.

Sorry for confusion!

> ! No longer needed stuff
>   - %clean section is no longer needed on Fedora:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

Going to remove it, thanks!

> * rpmlint issue
> ---------------------------------------------------------------
> rubygem-boxgrinder-build-rpm-based-os-plugin.noarch: E: non-executable-script
> /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-rpm-based-os-plugin-0.0.8/lib/boxgrinder-build-rpm-based-os-plugin/src/motd.init
> 0664L /bin/sh
> ---------------------------------------------------------------
>   - This warning comes because this script does not have executable permission
>     while the script has shebang. While I think this script need not have
> executable
>     permission because this file seems something like a template, however I
> think
>     0644 permission is more proper.

Yes this is just a template.

I'll post updated spec and review your package shortly.
Comment 6 Marek Goldmann 2010-11-26 15:16:03 EST
Updated files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc15.src.rpm

Koji scratch build for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2628716

Changelog:

* Fri Nov 26 2010  <mgoldman@redhat.com> - 0.0.8-3
- Removed clean section, updated URL, fixed attr for motd.init file
Comment 7 Mamoru TASAKA 2010-11-26 16:13:49 EST
No blockers, approving.

------------------------------------------------------------------
    This package (rubygem-boxgrider-build-rpm-based-os-plugin)
    is APPROVED by mtasaka
------------------------------------------------------------------
Comment 8 Marek Goldmann 2010-11-27 02:44:26 EST
Thanks!

New Package SCM Request
=======================
Package Name:      rubygem-boxgrider-build-rpm-based-os-plugin
Short Description: Files required to build appliances based on RPMs
Owners:            goldmann
Branches:          f13 f14
Comment 9 Jason Tibbitts 2010-11-29 12:01:19 EST
The requested package name does not match the name in the ticket summary.
Please either correct the ticket summary or submit a new SVM request and
re-raise the fedora-cvs flag.
Comment 10 Marek Goldmann 2010-11-29 12:22:55 EST
Right, I ate one letter, sorry for that!

New Package SCM Request
=======================
Package Name:      rubygem-boxgrinder-build-rpm-based-os-plugin
Short Description: Files required to build appliances based on RPMs
Owners:            goldmann
Branches:          f13 f14
Comment 11 Jason Tibbitts 2010-11-29 12:25:22 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2010-12-09 07:18:49 EST
rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc14
Comment 13 Fedora Update System 2010-12-09 07:19:26 EST
rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13
Comment 14 Fedora Update System 2010-12-09 16:59:30 EST
rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-boxgrinder-build-rpm-based-os-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13
Comment 15 Mamoru TASAKA 2010-12-10 13:20:00 EST
Closing.
Comment 16 Fedora Update System 2010-12-17 15:26:20 EST
rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-12-17 15:31:28 EST
rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.8-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Marek Goldmann 2011-01-25 03:04:19 EST
Package Change Request
======================
Package Name: rubygem-boxgrinder-build-rpm-based-os-plugin
New Branches: el5 el6
Owners: goldmann
Comment 19 Jason Tibbitts 2011-01-25 09:08:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.